## com.lowagie.bc.asn1
Class DERTaggedObject

    java.lang.Object
      com.lowagie.bc.asn1.DERObject
          com.lowagie.bc.asn1.ASN1TaggedObject
              com.lowagie.bc.asn1.DERTaggedObject

All Implemented Interfaces:
  DEREncodable, DERTags

Direct Known Subclasses:
  BERTaggedObject

    public class DERTaggedObject

extends ASN1TaggedObject

DER TaggedObject - in ASN.1 nottation this is any object proceeded by a [n] where n is some number - these are assume to follow the construction rules (as with sequences).

Field Summary

Fields inherited from class com.lowagie.bc.asn1.ASN1TaggedObject
`empty, explicit, obj, tagNo`

Fields inherited from interface com.lowagie.bc.asn1.DERTags
`APPLICATION, BIT_STRING, BMP_STRING, BOOLEAN, CONSTRUCTED, ENUMERATED, EXTERNAL, GENERAL_STRING, GENERALIZED_TIME, GRAPHIC_STRING, IA5_STRING, INTEGER, NULL, NUMERIC_STRING, OBJECT_IDENTIFIER, OCTET_STRING, PRINTABLE_STRING, SEQUENCE, SEQUENCE_OF, SET, SET_OF, T61_STRING, TAGGED, UNIVERSAL_STRING, UTC_TIME, UTF8_STRING, VIDEOTEX_STRING, VISIBLE_STRING`

Constructor Summary
`DERTaggedObject(boolean explicit, int tagNo, DEREncodable obj)`
`DERTaggedObject(int tagNo)` create an implicitly tagged object that contains a zero length sequence.
`DERTaggedObject(int tagNo, DEREncodable obj)`

Method Summary
`(package private) void` `encode(DEROutputStream out)`

Methods inherited from class com.lowagie.bc.asn1.ASN1TaggedObject
`equals, getInstance, getObject, getTagNo, hashCode, isEmpty, isExplicit`

Methods inherited from class com.lowagie.bc.asn1.DERObject
`getDERObject`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DERTaggedObject

    public DERTaggedObject(int tagNo,
                           DEREncodable obj)

Parameters:
  `tagNo` - the tag number for this object.
  `obj` - the tagged object.

### DERTaggedObject

    public DERTaggedObject(boolean explicit,
                           int tagNo,
                           DEREncodable obj)

Parameters:
  `explicit` - true if an explicitly tagged object.
  `tagNo` - the tag number for this object.
  `obj` - the tagged object.

### DERTaggedObject

    public DERTaggedObject(int tagNo)

  create an implicitly tagged object that contains a zero length sequence.

Method Detail

### encode

    void encode(DEROutputStream out)
          throws java.io.IOException

  Specified by:
    `encode` in class `ASN1TaggedObject`
  Throws:
    `java.io.IOException`